// axios
import request from '@/utils/request'

// 获取课程信息
export function getCourseInfo(params) {
  return request({
    url: '/selectCourseDetail3',
    method: 'get',
    params,
    hideloading: false
  })
}
// 获取所有作业
export function getCourseWorks(params) {
  return request({
    url: '/selectSWorks',
    method: 'get',
    params,
    hideloading: false
  })
}

// 获取这个课程的学生权限
export function getCourseWorksStudentJuri(params) {
  return request({
    url: '/selectWorksStudent',
    method: 'get',
    params,
    hideloading: false
  })
}
// 查看批注
export function getCoursePz(params) {
  return request({
    url: '/selectPzList',
    method: 'get',
    params,
    hideloading: false
  })
}

// 添加批注
export function addPz2(data) {
  return request({
    url: '/addPz2',
    method: 'post',
    data,
    hideloading: false
  })
}

// 删除批注
export function deletePz(data) {
  return request({
    url: '/deletePz',
    method: 'post',
    data,
    hideloading: false
  })
}
